module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(1);


/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	
	var _db = __webpack_require__(2);
	
	var _db2 = _interopRequireDefault(_db);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; } /*
	                                                                                                                                                                                                                                                                                                                                                                                                                                                                             Botpress module template. This is your module's entry point.
	                                                                                                                                                                                                                                                                                                                                                                                                                                                                             Please have a look at the docs for more information about config, init and ready.
	                                                                                                                                                                                                                                                                                                                                                                                                                                                                             https://botpress.io/docs
	                                                                                                                                                                                                                                                                                                                                                                                                                                                                           */
	
	
	var cached_config = null;
	var incomingMiddleware = function incomingMiddleware(bp) {
	  return function (event, next) {
	    if (!subscriptions || !cached_config) {
	      return next();
	    }
	    next();
	  };
	};
	
	module.exports = {
	  config: {},
	  init: function () {
	    var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(bp, configurator) {
	      return regeneratorRuntime.wrap(function _callee$(_context) {
	        while (1) {
	          switch (_context.prev = _context.next) {
	            case 0:
	              // This is called before ready.
	              // At this point your module is just being initialized, it is not loaded yet.
	              bp.middlewares.register({
	                name: 'manage.register-user',
	                type: 'incoming',
	                handler: incomingMiddleware(bp),
	                order: 18,
	                module: 'botpress-user-registration',
	                description: 'Register users from order the food..'
	              });
	
	              bp.user_register = {
	                create: (0, _db2.default)(bp).create
	              };
	
	              (0, _db2.default)(bp).bootstrap().then((0, _db2.default)(bp).listAll);
	
	              configurator.loadAll().then(function (c) {
	                return cached_config = c;
	              });
	
	            case 4:
	            case 'end':
	              return _context.stop();
	          }
	        }
	      }, _callee, this);
	    }));
	
	    function init(_x, _x2) {
	      return _ref.apply(this, arguments);
	    }
	
	    return init;
	  }(),
	
	  ready: function () {
	    var _ref2 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee2(bp, configurator) {
	      var router, config;
	      return regeneratorRuntime.wrap(function _callee2$(_context2) {
	        while (1) {
	          switch (_context2.prev = _context2.next) {
	            case 0:
	              // Your module's been loaded by Botpress.
	              // Serve your APIs here, execute logic, etc.
	
	
	              // Do fancy stuff here :)
	
	              router = bp.getRouter('botpress-user-register', { auth: false });
	
	              //const updateSubs = () => {
	              //  return db(bp).listAll()
	              //      .then(subs => subscriptions = subs)
	              //}
	
	              router.get('/user', function (req, res) {
	                (0, _db2.default)(bp).listAll().then(function () {
	                  return res.sendStatus(200);
	                });
	                //.then(updateSubs)
	              });
	
	              router.post('/user', function (req, res) {
	                (0, _db2.default)(bp).create(req.params).then(function () {
	                  return res.sendStatus(200);
	                });
	                //.then(updateSubs)
	              });
	              _context2.next = 5;
	              return configurator.loadAll();
	
	            case 5:
	              config = _context2.sent;
	
	            case 6:
	            case 'end':
	              return _context2.stop();
	          }
	        }
	      }, _callee2, this);
	    }));
	
	    function ready(_x3, _x4) {
	      return _ref2.apply(this, arguments);
	    }
	
	    return ready;
	  }()
	};

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	
	var _moment = __webpack_require__(3);
	
	var _moment2 = _interopRequireDefault(_moment);
	
	var _lodash = __webpack_require__(4);
	
	var _lodash2 = _interopRequireDefault(_lodash);
	
	var _botpress = __webpack_require__(5);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	var Validate = __webpack_require__(6);
	
	module.exports = function (bp) {
	  return {
	    bootstrap: function bootstrap() {
	      return bp.db.get().then(initialize);
	    },
	    listAll: function listAll() {
	      return bp.db.get().then(listAllSubscription);
	    },
	    create: function create(category) {
	      return bp.db.get().then(function (knex) {
	        return _create(knex, category);
	      });
	    },
	    modify: function modify(id, options) {
	      return bp.db.get().then(function (knex) {
	        return update(knex, id, options);
	      });
	    }
	    //delete: (id) => {
	    //  return bp.db.get()
	    //  .then(knex => remove(knex, id))
	    //},
	    //subscribe: (userId, category) => {
	    //  return bp.db.get()
	    //  .then(knex => subscribe(knex, userId, category))
	    //},
	    //unsubscribe: (userId, category) => {
	    //  return bp.db.get()
	    //  .then(knex => unsubscribe(knex, userId, category))
	    //},
	    //isSubscribed: (userId, category) => {
	    //  return bp.db.get()
	    //  .then(knex => isSubscribed(knex, userId, category))
	    //},
	    //getSubscribed: (userId) => {
	    //  return bp.db.get()
	    //  .then(knex => getSubscribed(knex, userId))
	    //}
	  };
	};
	
	function initialize(knex) {
	  return (0, _botpress.DatabaseHelpers)(knex).createTableIfNotExists('user_register', function (table) {
	    table.increments('id').primary();
	    table.string('fname');
	    table.string('lname');
	    table.string('city');
	    table.string('floor');
	    table.string('nameDoorBel');
	    table.string('number');
	    table.string('street');
	    table.string('zip');
	    table.string('comment');
	  });
	}
	
	function listAllSubscription(knex) {
	  return knex.select("*").from('user_register');
	}
	
	function _create(knex, params) {
	  return knex('user_register').insert(params);
	}
	
	function update(knex, id, options) {
	  //options = validateOptions(options)
	  return knex('user_register').where('id', id).update(options);
	}
	
	function validateOptions(options) {
	  var args = Validate.named(options, {
	    category: 'string',
	    sub_keywords: 'array',
	    unsub_keywords: 'array',
	    sub_action: 'string',
	    unsub_action: 'string',
	    sub_action_type: 'string',
	    unsub_action_type: 'string'
	  });
	
	  if (!args.isValid()) {
	    throw args.errorString();
	  }
	
	  return _lodash2.default.pick(options, ['user_register']);
	}

/***/ }),
/* 3 */
/***/ (function(module, exports) {

	module.exports = require("moment");

/***/ }),
/* 4 */
/***/ (function(module, exports) {

	module.exports = require("lodash");

/***/ }),
/* 5 */
/***/ (function(module, exports) {

	module.exports = require("botpress");

/***/ }),
/* 6 */
/***/ (function(module, exports) {

	module.exports = require("validate-arguments");

/***/ })
/******/ ]);
//# sourceMappingURL=node.bundle.js.map